using System;
using System.Windows.Forms;
using Microsoft.WindowsMobile.PocketOutlook;
using Microsoft.WindowsMobile.PocketOutlook.MessageInterception;

namespace DemoWM5
{
  public partial class frmPoom : Form
  {
    public frmPoom()
    {
      InitializeComponent();
    }

    OutlookSession os = null;
    private void frmPoom_Closed(object sender, EventArgs e)
    {
    }

    private void frmPoom_Load(object sender, EventArgs e)
    {
    }

    private void mnuChange_Click(object sender, EventArgs e)
    {
    }

    private void mnuFilter_Click(object sender, EventArgs e)
    {
    }

    private void mnuPopulate_Click(object sender, EventArgs e)
    {
      // Add a contact
      Contact c = os.Contacts.Items.AddNew();
      c.FirstName = "Daniel";
      c.LastName = "Moth";
      c.Email1Address = "daniel.moth@microsoft.com";
      c.MobileTelephoneNumber = "07808482469";
      c.JobTitle = "Software Guru";
      c.Update();

      // Add 2 appointments
      Appointment a1 = os.Appointments.Items.AddNew();
      a1.Subject = "Relax by the pool";
      a1.AllDayEvent = true;
      a1.Start = new DateTime(2006, 11, 11);
      a1.Update();

      Appointment a2 = os.Appointments.Items.AddNew();
      a2.Subject = "Catch flight";
      a2.Start = new DateTime(2006, 11, 12, 17, 50, 0);
      a2.End = new DateTime(2006, 11, 12, 20, 55, 0);
      a2.Update();

      // Add 4 tasks
      Task t1 = os.Tasks.Items.AddNew();
      t1.Subject = "Get drunk";
      t1.Body = "...Guinness :-)";
      t1.Update();

      Task t2 = os.Tasks.Items.AddNew();
      t2.Subject = "Eat as much conference food as possible";
      t2.DueDate = DateTime.Now;
      t2.Update();

      Task t3 = os.Tasks.Items.AddNew();
      t3.Subject = "Collect tons of freebies from exhibition";
      t3.Importance = Importance.High;
      t3.Update();

      Task t4 = os.Tasks.Items.AddNew();
      t4.Subject = "Pray to the demo gods";
      t4.Complete=true;
      t4.Update();

      mnuPopulate.Enabled = false;
    }

    private void mnuClear_Click(object sender, EventArgs e)
    {
      os.Contacts.Items.Clear();
      os.Appointments.Items.Clear();
      os.Tasks.Items.Clear();
    }

    private void mnuSend_Click(object sender, EventArgs e)
    {
    }

    private void Intercept()
    {
    }
  }
}