using System;
using System.Windows.Forms;
using Microsoft.WindowsMobile.Forms;

namespace DemoWM5
{
  public partial class frmDialogs : Form
  {
    public frmDialogs()
    {
      InitializeComponent();
    }

    private void mnuContacts_Click(object sender, EventArgs e)
    {
      ChooseContactDialog dlg = new ChooseContactDialog();
      DialogResult d = dlg.ShowDialog();
      //dlg

      if (d == DialogResult.OK)
      {
        label1.Text = dlg.SelectedContact.JobTitle;
      }
    }

    private void mnuPicture_Click(object sender, EventArgs e)
    {
      SelectPictureDialog dlg = new SelectPictureDialog();
      DialogResult d = dlg.ShowDialog();
      //dlg

      if (d == DialogResult.OK)
      {
        label1.Text = dlg.FileName;
      }
    }

    private void cmdCamera_Click(object sender, EventArgs e)
    {
      #region Emulator protection
      if (!Microsoft.WindowsMobile.Status.SystemState.CameraPresent)
      {
        MessageBox.Show("No camera");
        return;
      }      
      #endregion

      CameraCaptureDialog dlg = new CameraCaptureDialog();
      DialogResult d = dlg.ShowDialog();
      //dlg

      if (d == DialogResult.OK)
      {
        label1.Text = dlg.FileName;
      }
    }
  }
}